Package com.independentsoft.office.spreadsheet.revisions

# Class RevisionSheetName

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.RevisionSheetName

public class RevisionSheetName extends Object
The Class RevisionSheetName.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevisionSheetName()`
  Instantiates a new revision sheet name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevisionSheetName`
  `clone()`
  `String`
  `getNewName()`
  Gets the new name.
  `String`
  `getOldName()`
  Gets the old name.
  `int`
  `getRevisionID()`
  Gets the revision id.
  `int`
  `getSheetID()`
  Gets the sheet id.
  `boolean`
  `isRevisionFromRejection()`
  Checks if is revision from rejection.
  `boolean`
  `isRevisionUndoRejected()`
  Checks if is revision undo rejected.
  `void`
  `setNewName​(String newName)`
  Sets the new name.
  `void`
  `setOldName​(String oldName)`
  Sets the old name.
  `void`
  `setRevisionFromRejection​(boolean revisionFromRejection)`
  Sets the revision from rejection.
  `void`
  `setRevisionID​(int revisionID)`
  Sets the revision id.
  `void`
  `setRevisionUndoRejected​(boolean revisionUndoRejected)`
  Sets the revision undo rejected.
  `void`
  `setSheetID​(int sheetID)`
  Sets the sheet id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RevisionSheetName

    public RevisionSheetName()
    Instantiates a new revision sheet name.

- ## Method Details

  - ### clone

    public RevisionSheetName clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getNewName

    public String getNewName()
    Gets the new name.
    Returns:
      the new name

  - ### setNewName

    public void setNewName​(String newName)
    Sets the new name.
    Parameters:
      `newName` - the new new name

  - ### getOldName

    public String getOldName()
    Gets the old name.
    Returns:
      the old name

  - ### setOldName

    public void setOldName​(String oldName)
    Sets the old name.
    Parameters:
      `oldName` - the new old name

  - ### isRevisionUndoRejected

    public boolean isRevisionUndoRejected()
    Checks if is revision undo rejected.
    Returns:
      true, if is revision undo rejected

  - ### setRevisionUndoRejected

    public void setRevisionUndoRejected​(boolean revisionUndoRejected)
    Sets the revision undo rejected.
    Parameters:
      `revisionUndoRejected` - the new revision undo rejected

  - ### getRevisionID

    public int getRevisionID()
    Gets the revision id.
    Returns:
      the revision id

  - ### setRevisionID

    public void setRevisionID​(int revisionID)
    Sets the revision id.
    Parameters:
      `revisionID` - the new revision id

  - ### getSheetID

    public int getSheetID()
    Gets the sheet id.
    Returns:
      the sheet id

  - ### setSheetID

    public void setSheetID​(int sheetID)
    Sets the sheet id.
    Parameters:
      `sheetID` - the new sheet id

  - ### isRevisionFromRejection

    public boolean isRevisionFromRejection()
    Checks if is revision from rejection.
    Returns:
      true, if is revision from rejection

  - ### setRevisionFromRejection

    public void setRevisionFromRejection​(boolean revisionFromRejection)
    Sets the revision from rejection.
    Parameters:
      `revisionFromRejection` - the new revision from rejection